> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create reports

> Creates a new reports object with the specified parameters.



## OpenAPI

````yaml 26.4/self-hosted/en/api-reference/openapi.json POST /reports
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /reports:
    post:
      tags:
        - reports
      summary: Create reports
      description: Creates a new reports object with the specified parameters.
      operationId: createreports
      requestBody:
        description: The reports entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/reports'
        required: true
      responses:
        '201':
          description: reports created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reports'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    reports:
      type: object
      properties:
        Name:
          description: The report name.
          type: string
        Columns:
          description: >-
            The columns in the report. Required when creating a new report.
            Available values include one or more of: 'WorkspaceId, ConnectorId,
            ConnectorType, Year, Quarter, Month, Week, SenderISAId,
            ReceiverISAId, TransactionSet, AllTransactions, TransactionsSent,
            TransactionsReceived, TotalProcessingTime, TotalFileSize,
            Successful, Error, Warning'.
          type: string
        CreatedTime:
          description: The time the report was created.
          type: string
          format: date-time
        TimePeriod:
          description: >-
            The time period, such as Last3Months or YearToDate, that the report
            uses to pull data. Available values are 'All, LastMonth,
            Last3Months, Last6Months, Last12Months, MonthToDate, QuarterToDate,
            YearToDate, SinceLastRun, Custom'.
          type: string
        Type:
          description: The report type. Available values are 'Transactions, Application'.
          type: string
        TimePeriodEnd:
          description: >-
            If the TimePeriod is Custom, this is the report end time. For
            example: 2026-02-11T17:00:00.0000-07:00
          type: string
          format: date-time
        Summary:
          description: >-
            Any summary information, such as Total or Average, that should be
            included in the generated report.
          type: string
        EmailReport:
          description: Whether to send the report via email.
          type: boolean
        Filters:
          description: >-
            Any filters that should be used for the report, such as
            ConnectorType=SFTP,FTP;ConnectorId=SFTP1,SFTP2,FTP1,FTP2.
          type: string
        ModifiedTime:
          description: The time the report was last modified.
          type: string
          format: date-time
        TimePeriodStart:
          description: If the TimePeriod is Custom, this is the report start time.
          type: string
          format: date-time
        IsRunning:
          description: Whether the report is running.
          type: string
        EndDate:
          description: >-
            For any TimePeriod other than Custom, this is the report end date in
            this format: YYYY-MM-DD. For example: 2026-01-28
          type: string
          format: date-time
        CreatedBy:
          description: The user who created the report.
          type: string
        GroupRows:
          description: >-
            The rows, such as Week or ConnectorType, to group by in the report.
            Available values include one or more of: 'WorkspaceId,
            ConnectorCategory, ConnectorId, Year, Quarter, Month, Week,
            SenderISAId, ReceiverISAId, TransactionSet'.
          type: string
        EmailSubject:
          description: If EmailReport is True, this is the email subject line.
          type: string
        NextRunTime:
          description: The next time the report is scheduled to run.
          type: string
          format: date-time
        Format:
          description: The report format, such as CSV.
          type: string
        Schedule:
          description: The cron schedule that controls when the report is run.
          type: string
        StartDate:
          description: >-
            For any TimePeriod other than Custom, this is the report start date
            in this format: YYYY-MM-DD. For example: 2026-01-28
          type: string
          format: date-time
        EmailRecipients:
          description: >-
            If EmailReport is True, this is a comma-separated list of email
            recipients.
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.